# $Revision: 1.2 $, $Date: 2003/11/20 21:04:30 $
Summary:	Wrapper to set the execution domain
Summary(pl):	Wrapper do ustawiania domeny wykonywania kodu
Name:		linux32
Version:	1.0
Release:	1
License:	GPL v2
Group:		Base
Source0:	ftp://ftp.x86-64.org/pub/linux-x86_64/tools/linux32/%{name}.c
# NoSource0-md5: 8915c8bfac0308e9e64f5131715a9b1e
Source1:	ftp://ftp.x86-64.org/pub/linux-x86_64/tools/linux32/%{name}.1
# NoSource1-md5: f4bfebd94dd9daa445189e396b041738
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
linux32 tool is a wrapper to set the execution domain. It allows
64-bit systems with support for 32-bit applications to set the
execution domain to the 32-bit native type.

For instance, on an ia64 machine, commands run with this wrapper will
think the machine type is i386, as returned by uname -m.

On systems without support for the PER_LINUX_32 execution domain, this
program has no effect.

%description -l pl
Narzdzie linux32 to wrapper do ustawiania domeny wykonywania kodu.
Pozwala 64-bitowym systemom ze wsparciem dla 32-bitowych aplikacji
przestawi domen wykonywania kodu w tryb natywny 32-bitowy.

Na przykad, na maszynie ia64 polecenia wykonywane przez ten wrapper
bd si mylay, e dziaaj na architekturze i386, tak jak zwraca to
uname -m.

Na systemach bez wsparcia dla domeny wykonywania PER_LINUX_32 ten
program nie przynosi efektu.

%prep
%setup -q -c -T

%build
%{__cc} %{rpmldflags} %{rpmcflags} %{SOURCE0} -o %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install %{name} $RPM_BUILD_ROOT%{_bindir}/linux32
ln -s %{name} $RPM_BUILD_ROOT%{_bindir}/linux64
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/linux32.1
echo ".so %{name}.1" > $RPM_BUILD_ROOT%{_mandir}/man1/linux64.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: linux32.spec,v $
Revision 1.2  2003/11/20 21:04:30  qboosh
- pl, moved (even short) text files to CVS

Revision 1.1  2003/11/17 18:25:29  arekm
- initial pld release (mainly for ia64 and amd64 systems)
